PermuteDocs
Go to Permute

Databases · databasesCreate

Create a managed database

Requires database creation admin permission. Provisioning is asynchronous; repeat the same key and name to retrieve the existing request.

POST/v1/databases
betaapiKeyworkspace

When to use

Create a managed database or retrieve an in-flight request for the same workspace key.

For agents

Requires workspace database admin. Repeat the same key and name to resume. Provisioning is asynchronous; poll GET until status is ready.

Example

typescript
import { PermuteClient } from '@permute/sdk';

const orgClient = new PermuteClient({
  apiKey: process.env.PERMUTE_API_KEY!,
});

const client = orgClient.withWorkspace(process.env.PERMUTE_WORKSPACE_ID!);

const result = await client.databases.create({
  "name": "CRM",
  "key": "crm"
});

Request body

json
{
  "name": "CRM",
  "key": "crm"
}

Response

json
{
  "data": {
    "id": "dbas_crm123",
    "workspaceId": "wksp_finance123",
    "name": "CRM",
    "key": "crm",
    "status": "provisioning",
    "createdAt": "2026-09-18T12:00:00.000Z",
    "updatedAt": "2026-09-18T12:00:08.000Z"
  }
}